Subject: Re: [PATCH][next] iwlwifi: fw: Replace zero-length arrays with flexible-array members

From: Kalle Valo <[email-masked]>
Date: Mon, 28 Mar 2022 08:47:55 +0300

"Gustavo A. R. Silva" <[email-masked]> writes:

> On Wed, Feb 16, 2022 at 12:35:14PM -0800, Kees Cook wrote:
>> On Wed, Feb 16, 2022 at 01:50:15PM -0600, Gustavo A. R. Silva wrote:
>> > There is a regular need in the kernel to provide a way to declare
>> > having a dynamically sized set of trailing elements in a structure.
>> > Kernel code should always use “flexible array members”[1] for these
>> > cases. The older style of one-element or zero-length arrays should
>> > no longer be used[2].
>> > 
>> > [1] https://en.wikipedia.org/wiki/Flexible_array_member
>> > [2]
>> > https://www.kernel.org/doc/html/v5.16/process/deprecated.html#zero-length-and-one-element-arrays
>> > 
>> > Link: https://github.com/KSPP/linux/issues/78
>> > Signed-off-by: Gustavo A. R. Silva <[email-masked]>
>> 
>> Reviewed-by: Kees Cook <[email-masked]>
>
> Hi all,
>
> Friendly ping: can someone take this, please?
>
> ...I can take this in my -next tree in the meantime.

Like we have discussed before, please don't take any wireless patches to
your tree. The conflicts just cause more work of us.

I assigned this patch to me on patchwork and I'm planning to take it to
wireless-next once it opens. Luca, ack?

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches